<?php
/**
 * @Copyright
 *
 * @package js_weather for Joomla! 4.x
 * @author     Joachim Schmidt {@link http://www.jschmidt-systemberatung.de/}
 * @version Version: 1.0.0 - 15-February-2023
 * @link       Project Site {@link http://www.jschmidt-systemberatung.de/}
 *
 * @license GNU/GPL
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 * change activity:  15.05.2023 Fixed wrong setting unuts to Fahrenheit
 */

defined('_JEXEC') or die('Restricted access'); // no direct access
use Joomla\CMS\Language\Text;

if ($weather_info->cod != 200)
{
	echo $error_info;
	return;
}

?>

<div class="js_weather<?php echo $moduleclass_sfx ?>">
<div id="js_weather_container" style="width: fit-content;" class="js_weather_container">
 <h3 style="padding: 5px; font-size:1.1em;text-align: center;"><?php echo Text::_('MOD_JS_WEATHER_WEATHER') . " in " . $weather_info->name; ?></h3>
  <div class="js_weather-time">
   <div><?php echo $date . " - " . gmdate("G:i ", $weather_info->dt + $weather_info->timezone); ?></div>
   <div class="js_weather-forecast"><?php $description; ?></div>
  </div>
  
<table class="js_weather-table">
 <tr>
 
<td style="vertical-align: middle;">
  <div class="js_weather-forecast">
   <table class="js_weather-table">
   <tr>
   <?php if ($params->get('weatherfonts') == false) { ?>
     <td style="vertical-align: top;"><img src="https://openweathermap.org/img/w/<?php echo $weather_info->weather[0]->icon; ?>.png"  title="<?php echo $description; ?>"></td>
   <?php   } else  ?>
     <td style="vertical-align: top;" title="<?php echo $description; ?>"><i class="owf owf-<?php echo $weather_info->weather[0]->id;?> owf-3x"></i></td>
   <td style="vertical-align: middle;"> <?php  if ($params->get('temperature_feels'))
     echo round($weather_info->main->feels_like,0);
    else
    	echo round($weather_info->main->temp,0) . "°" . $unit_info['temperature_unit'];?>
   </td>
   <td style="vertical-align: middle;"><span class="min-temperature"><?php echo round($weather_info->main->temp_min,0) . "°" . $unit_info['temperature_unit']; ?> min</span></td>
   <td style="vertical-align: middle;"><span class="min-temperature"><?php echo round($weather_info->main->temp_max,0) . "°" . $unit_info['temperature_unit']; ?> max</span></td>
   </tr>
   </table>
  </div>
 </td>
  
  <?php if ($params->get('sun')) { ?>
 <td style="padding-right: 25px;vertical-align: middle;">
  <div>
   <table class="js_weather-table">
    <tr>
     <?php if ($params->get('weatherfonts') == true) { ?>
      <td style="vertical-align: bottom;" title="<?php echo Text::_('MOD_JS_WEATHER_SUNRISE'); ?>"><i class="owf owf-950 owf-3x"></i></td>
    <?php  } else { ?>
     <td style="vertical-align: bottom;"><img src="media/mod_js_weather/images/sunrise.png" title="<?php echo Text::_('MOD_JS_WEATHER_SUNRISE'); ?>" style="width:35px;"></td>
     <?php  }  ?>
    <td style="vertical-align: middle; padding-right: 15px; "><?php echo " " . gmdate("G:i ", $weather_info->sys->sunrise + $weather_info->timezone); ?></td>
    <?php if ($params->get('weatherfonts') == true) { ?>
      <td style="vertical-align: bottom;"  title="<?php echo Text::_('MOD_JS_WEATHER_SUNSET'); ?>"><i class="owf owf-950-n owf-3x"></i></td>
    <?php  } else { ?>
     <td style="vertical-align: bottom;"><img src="media/mod_js_weather/images/sunset.png" title="<?php echo Text::_('MOD_JS_WEATHER_SUNSET'); ?>" style="width:35px;"></td>
    <?php  }  ?>
    <td style="vertical-align: middle;"><?php echo " " . gmdate("G:i ", $weather_info->sys->sunset + $weather_info->timezone); ?></td>
    </tr>
   </table>
  </div>
 </td>
  <?php } ?>
  
<?php if ( ($params->get('humidity') || $params->get('wind')) || $params->get('pressure') || $params->get('visibility') ) { ?>
 <td style="padding-left: 10px; padding-right: 10px;">
 <div class="js_weather-misc">
  <?php if ($params->get('humidity') && isset($weather_info->main->humidity)) { ?>
   <div><?php echo Text::_('MOD_JS_WEATHER_LABEL_HUMIDITY'); ?>: <?php echo $weather_info->main->humidity; ?> %</div>
  <?php } ?>
  <?php if ($params->get('wind') && isset($weather_info->wind->speed)) { ?>
   <div>Wind: <?php echo $weather_info->wind->speed . $unit_info['speed_unit'] . $wind_dir; ?></div>
  <?php } ?>
  <?php if ($params->get('pressure') && isset($weather_info->main->pressure) ) { ?>
   <div><?php echo Text::_('MOD_JS_WEATHER_LABEL_PRESSURE'); ?>: <?php echo $weather_info->main->pressure; ?> hPa</div>
  <?php } ?>
  <?php if ($params->get('visibility') && isset( $weather_info->visibility) ) { ?>
   <div><?php echo Text::_('MOD_JS_WEATHER_LABEL_VISIBILITY'); ?>: <?php echo $weather_info->visibility . $unit_info['visibilty_unit']; ?></div>
  <?php } ?>
  </div>
  </td>
<?php }  ?>
</div>
</tr>
</table>

</div>





